Package org.apache.catalina.realm

## Class MemoryRuleSet

- java.lang.Object
- - org.apache.catalina.realm.MemoryRuleSet

- All Implemented Interfaces:
    `RuleSet`

      public class MemoryRuleSet
      extends Object
      implements RuleSet

  RuleSet for recognizing the users defined in the XML file processed by `MemoryRealm`.

  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `prefix` | The matching pattern prefix to use for recognizing our elements.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemoryRuleSet()` | Construct an instance of this `RuleSet` with the default matching pattern prefix.
    `MemoryRuleSet​(String prefix)` | Construct an instance of this `RuleSet` with the specified matching pattern prefix.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRuleInstances​(Digester digester)` | Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          protected final String prefix

      The matching pattern prefix to use for recognizing our elements.

  - ### Constructor Detail

    - #### MemoryRuleSet

          public MemoryRuleSet()

      Construct an instance of this `RuleSet` with the default matching pattern prefix.

    - #### MemoryRuleSet

          public MemoryRuleSet​(String prefix)

      Construct an instance of this `RuleSet` with the specified matching pattern prefix.
      Parameters:
        `prefix` - Prefix for matching pattern rules (including the trailing slash character)

  - ### Method Detail

    - #### addRuleInstances

          public void addRuleInstances​(Digester digester)

      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

      Specified by:
        `addRuleInstances` in interface `RuleSet`
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.